Bug 108258 - STATUSBAR: Word & character count incorrect after undo to empty document.
Summary: STATUSBAR: Word & character count incorrect after undo to empty document.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha1
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Statusbar
  Show dependency treegraph
 
Reported: 2017-05-31 08:49 UTC by Mike Morris
Modified: 2022-08-11 03:46 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Morris 2017-05-31 08:49:40 UTC
To reproduce:

Start with an empty document.
Type a word or two (or more, if you like.)
UNDO (Ctrl-Z) repeatedly until the document is empty again.

-> Status bar displays the earlier no. of words & characters, and does not update to "0 words 0 characters".
Comment 1 Xisco Faulí 2017-05-31 09:12:08 UTC
Confirmed in

Version: 5.5.0.0.alpha0+
Build ID: 9956849c2ea6049582e2ccf04c355542c1ef00a1
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 2 Xisco Faulí 2017-05-31 09:21:41 UTC
Reproduced in

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)

but not in

Version: 5.0.0.0.alpha1+
Build ID: 0db96caf0fcce09b87621c11b584a6d81cc7df86
Locale: ca-ES (ca_ES.UTF-8)
Comment 3 raal 2017-06-02 14:46:25 UTC
This seems to have begun at the below commit.
Adding Cc: to Ashod Nakashian ; Could you possibly take a look at this one?
Thanks
 1657a726e928c2b658abceb7deb618f20ef40a72 is the first bad commit
commit 1657a726e928c2b658abceb7deb618f20ef40a72
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Wed Jul 29 13:34:37 2015 -0700

    source sha:b0fde7a912ff3aa370496802f20895b1158b072c
author    Ashod Nakashian <ashodnakashian@yahoo.com>    2015-07-05 16:05:26 (GMT)
committer    Caolán McNamara <caolanm@redhat.com>    2015-07-15 07:46:01 (GMT)
commit    b0fde7a912ff3aa370496802f20895b1158b072c (patch)
tree    7b53cc78cc2291ccf2a28083082b37fefb8a2185
parent    82da70787ac12ec9d5791eeac6b48535737ad5b3 (diff)
tdf#38837 Reduce power consumption by minimizing idle timers
Comment 4 QA Administrators 2018-10-16 02:51:10 UTC Comment hidden (obsolete)
Comment 5 Roman Kuznetsov 2018-10-16 06:40:09 UTC
still repro in

Version: 6.2.0.0.alpha0+
Build ID: d9ad59da50c1172fe98f94370221c9c1b688200a
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-10-08_23:34:44
Locale: ru-RU (ru_RU); Calc: threaded
Comment 6 QA Administrators 2022-08-11 03:46:36 UTC
Dear Mike Morris,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug